using FalcoEngine;

public class FollowPlayer : MonoBehaviour
{
    public Vector3 realPosition;
	public float smoothSpeed = 5f;

    private PlayerManager player;

	void Start()
	{
		player = FindObjectOfType<PlayerManager>();
		realPosition = transform.position;
	}
	
	void Update()
	{
		realPosition = new Vector3(player.transform.position.x - 3f, 0f, 0f);

		transform.position = (realPosition * smoothSpeed + transform.position * Time.frameRate) / (Time.frameRate + smoothSpeed);
	}
}
