using FalcoEngine;
using System.ComponentModel;

public class PlayerManager : MonoBehaviour
{
	private StatsManager stats;
	private Finish finish;

	void Start()
	{
		stats = FindObjectOfType<StatsManager>();
		finish = FindObjectOfType<Finish>();
	}

	void FailMonitoring()
	{
		if (transform.position.y <= -5)
			stats.status = "d";
	}

	void WinMonitoring()
	{
		if (transform.position.x - 8f < finish.transform.position.x)
			stats.status = "f";
	}
	
	void Update()
	{
		if (stats.status == "p")
		{
			FailMonitoring();
			WinMonitoring();
		}
		else
			rigidbody.linearVelocity = Vector3.zero;
	}

    void OnCollisionEnter(Collision col)
    {
        if (col.other.gameObject.name.Contains("obstance"))
        {
            stats.status = "d";
        }
    }
}
