using FalcoEngine;

public class StatsTextUpdater : MonoBehaviour
{
	private Text text;
	private StatsManager stats;

	void Start()
	{
		stats = FindObjectOfType<StatsManager>();
		text = GetComponent<Text>();
	}
	
	void Update()
	{
		switch (stats.status)
		{
			case "s":
				{
					text.text = "Controls:\r\n\r\nRelease the web - LMB\r\nA, D - Left, Right\r\n\r\nPress to start";
                    break;
				}
            case "p":
                {
                    text.text = "";
                    break;
                }
            case "d":
                {
                    text.text = "Press to restart";
                    break;
                }
            case "f":
                {
                    if (stats.currentLevel != 10)
                        text.text = "Press for next level";
                    else
                        text.text = "Thanks for playing!";
                    break;
                }
        }
	}
}
