using FalcoEngine;

public class AppControls : MonoBehaviour
{
    private StatsManager stats;

    void Start()
    {
        stats = FindObjectOfType<StatsManager>();
    }

    void Update()
    {
        if (Input.GetKeyDown(ScanCode.Escape))
            Application.Quit();

        if (Input.GetMouseButtonDown(0))
        {
            if (stats.status == "s")
                stats.status = "p";
            if (stats.status == "d")
                stats.RestartLevel();
            if (stats.status == "f")
            {
                if (stats.currentLevel != 10)
                    stats.MoveToNextLevel();
            }
        }
    }
}
