using FalcoEngine;
using System.Text.RegularExpressions;
using System;

public class StatsManager : MonoBehaviour
{
    public string status = "s";
	public int currentLevel;

    public void MoveToNextLevel()
    {
        SceneManager.LoadScene($"{currentLevel + 1}.scene");
    }

    public void RestartLevel()
    {
        SceneManager.LoadScene($"{currentLevel}.scene");
    }

    void Start()
    {
        currentLevel = Convert.ToInt32(Regex.Replace(SceneManager.loadedScene, @"[^\d]+", ""));
    }
}
